import arviz as az
import pickle
import matplotlib.pyplot as plt
import seaborn as sb
import numpy as np
"""
         MCMCサンプルの読み込み
"""
with open('Logit_fit.pkl', 'rb') as f:
    df_fit = pickle.load(f)

p_a = np.mean(df_fit['a'] > 0)
plt.title(f'Prob(a > 0) = {p_a:.3f}', fontsize=16)
sb.kdeplot(df_fit['a'])
plt.xlabel('a', fontsize=16)
plt.ylabel('Density', fontsize=16)
plt.show()

p_b = np.mean(df_fit['b'] > 0)
plt.title(f'Prob(b > 0) = {p_b:.3f}', fontsize= 16)
sb.kdeplot(df_fit['b'])
plt.xlabel('b', fontsize=16)
plt.ylabel('Density', fontsize=16)
plt.show()

p_c = np.mean(df_fit['c'] > 0)
plt.title(f'Prob(c > 0) = {p_c:.3f}', fontsize=16)
sb.kdeplot(df_fit['c'])
plt.xlabel('c', fontsize=16)
plt.ylabel('Density', fontsize=16)
plt.show()

sb.kdeplot(df_fit['b'], label='b')
sb.kdeplot(df_fit['b'] + df_fit['c'], label='b+c')
plt.xlabel('')
plt.ylabel('Density', fontsize=16)
plt.legend(fontsize=18)
plt.show()
