import numpy as np
import matplotlib.pyplot as plt

def inv_logit(t):
    return 1.0 / (1.0 + np.exp(-t))


x_coord = np.arange(-5.0, 5.001, 0.01)
y_coord = inv_logit(x_coord)

plt.plot(x_coord, y_coord, c='g')
plt.plot([-5, 5], [0.0, 0.0], c='k', lw=1)
plt.plot([-5, 5], [1.0, 1.0], c='k', lw=1)
plt.plot([-5, 5], [0.5, 0.5], c='k', lw=1)
plt.yticks([0, 0.5, 1])
plt.xlabel('t', fontsize=16)
plt.ylabel(r'$logit^{-1}$(t)', fontsize=16)
plt.show()
